<?xml version="1.0" encoding="utf-8"?>
<databaseChangeLog
    xmlns="http://www.liquibase.org/xml/ns/dbchangelog"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-3.6.xsd">
    <!--
        Added the constraints for entity Pizza.
    -->
    <changeSet id="20191127190413-2" author="jhipster">
        
        <addForeignKeyConstraint baseColumnNames="pizza_id"
                                 baseTableName="pizza_topping"
                                 constraintName="fk_pizza_topping_pizza_id"
                                 referencedColumnNames="id"
                                 referencedTableName="pizza"/>

        <addForeignKeyConstraint baseColumnNames="topping_id"
                                 baseTableName="pizza_topping"
                                 constraintName="fk_pizza_topping_topping_id"
                                 referencedColumnNames="id"
                                 referencedTableName="topping"/>
        
        <addForeignKeyConstraint baseColumnNames="order_id"
                                 baseTableName="pizza"
                                 constraintName="fk_pizza_order_id"
                                 referencedColumnNames="id"
                                 referencedTableName="jhi_order"/>

    </changeSet>
</databaseChangeLog>
